Bug 1195385 - dnf regression: cannot resolve provides with slashes
Summary: dnf regression: cannot resolve provides with slashes
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Honza Silhan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1227348
TreeView+ depends on / blocked
 
Reported: 2015-02-23 17:47 UTC by Michael Simacek
Modified: 2015-06-02 13:10 UTC (History)
6 users (show)

Fixed In Version: dnf-plugins-core-0.1.5-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1227348 (view as bug list)
Environment:
Last Closed: 2015-04-06 18:48:58 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Simacek 2015-02-23 17:47:41 UTC
Description of problem:
dnf cannot resolve provides with slashes.
Example or such provide: php-composer(symfony/yaml)

This is a regression most likely introduced by dnf commit c388ac6e.

Version-Release number of selected component (if applicable):
dnf-0.6.4-1.fc21.noarch

How reproducible:
always


Steps to Reproduce:
1. fedpkg clone php-phpunit-PHPUnit
2. cd php-phpunit-PHPUnit
3. mock --dnf `fedpkg srpm|awk '/./{print $2}'`

Actual results:
No matching package to install: 'php-composer(phpunit/php-code-coverage) >= 2.0'
No matching package to install: 'php-composer(phpunit/php-file-iterator) >= 1.3.2'
No matching package to install: 'php-composer(phpunit/php-invoker) >= 1.1.0'
No matching package to install: 'php-composer(phpunit/php-text-template) >= 1.2'
No matching package to install: 'php-composer(phpunit/php-timer) >= 1.0.2'
No matching package to install: 'php-composer(phpunit/phpunit-mock-objects) >= 2.3'
No matching package to install: 'php-composer(sebastian/comparator) >= 1.0'
No matching package to install: 'php-composer(sebastian/diff) >= 1.1'
No matching package to install: 'php-composer(sebastian/environment) >= 1.1'
No matching package to install: 'php-composer(sebastian/exporter) >= 1.0'
No matching package to install: 'php-composer(sebastian/global-state) >= 1.0'
No matching package to install: 'php-composer(sebastian/recursion-context) >= 1.0'
No matching package to install: 'php-composer(sebastian/version) >= 1.0'
No matching package to install: 'php-composer(symfony/class-loader) >= 2.0'
No matching package to install: 'php-composer(symfony/yaml) >= 2.0'

Expected results:
It builds as it used to with dnf-0.5.4-2.fc20.noarch or yum.

Additional info:
It affects most of PHP stack, not just single package.

Comment 1 Remi Collet 2015-02-24 07:25:50 UTC
@Michael thanks

Most of the PHP packages use php-pear(foo/bar) or php-composer(foor/bar) virtual provides/requires, see https://fedoraproject.org/wiki/Packaging:PHP

Comment 2 Honza Silhan 2015-03-09 13:48:39 UTC
Thanks for the report. PR: https://github.com/rpm-software-management/dnf/pull/238

Comment 3 Fedora Update System 2015-03-31 18:17:59 UTC
hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22

Comment 4 Fedora Update System 2015-04-02 01:44:15 UTC
Package hawkey-0.5.4-1.fc22, dnf-0.6.5-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hawkey-0.5.4-1.fc22 dnf-0.6.5-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5337/hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-04-03 11:39:11 UTC
dnf-plugins-extras-0.0.6-2.fc22,yum-utils-1.1.31-505.fc22,yum-3.4.3-505.fc22,hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-extras-0.0.6-2.fc22,yum-utils-1.1.31-505.fc22,yum-3.4.3-505.fc22,hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22

Comment 6 Fedora Update System 2015-04-06 18:48:58 UTC
dnf-plugins-extras-0.0.6-2.fc22, yum-3.4.3-505.fc22, dnf-0.6.5-1.fc22, yum-utils-1.1.31-505.fc22, hawkey-0.5.4-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-04-16 09:05:06 UTC
dnf-plugins-core-0.1.5-2.fc21,dnf-0.6.4-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.5-2.fc21,dnf-0.6.4-5.fc21

Comment 8 Michael Simacek 2015-05-04 09:07:21 UTC
could this go into epel7 as well? dnf is used by koschei and this bug in particular is a big problem for us on epel7

Comment 9 Fedora Update System 2015-05-08 07:33:06 UTC
dnf-plugins-core-0.1.5-2.fc21, dnf-0.6.4-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.